<?php

class ComposantXslLienAction extends ComposantXsl
{

    protected $target;

    public function getType()
    {
        return ComposantXSL::kLienAction;
    }

    public function setTarget(& $target)
    {
        $this->target = $target;
    }

    public function &buildXml()
    {
        $array = $this->getArray();
        
        if (! is_null($this->target))
            $array['!target'] = $this->target;
        
        return $array;
    }
}
